Bullet Collision Detection & Physics Library: Bullet::btCollisionObjectFloatData Class Reference

Bullet Collision Detection & Physics Library

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Attributes | List of all members
Bullet::btCollisionObjectFloatData Class Reference

`#include <bullet.h>`

Collaboration diagram for Bullet::btCollisionObjectFloatData:
[legend]

## Public Attributes
void * | m_broadphaseHandle
void * | m_collisionShape
btCollisionShapeData * | m_rootCollisionShape
char * | m_name
btTransformFloatData | m_worldTransform
btTransformFloatData | m_interpolationWorldTransform
btVector3FloatData | m_interpolationLinearVelocity
btVector3FloatData | m_interpolationAngularVelocity
btVector3FloatData | m_anisotropicFriction
float | m_contactProcessingThreshold
float | m_deactivationTime
float | m_friction
float | m_rollingFriction
float | m_contactDamping
float | m_contactStiffness
float | m_restitution
float | m_hitFraction
float | m_ccdSweptSphereRadius
float | m_ccdMotionThreshold
int | m_hasAnisotropicFriction
int | m_collisionFlags
int | m_islandTag1
int | m_companionId
int | m_activationState1
int | m_internalType
int | m_checkCollideWith
int | m_collisionFilterGroup
int | m_collisionFilterMask
int | m_uniqueId

## Detailed Description

Definition at line 672 of file bullet.h.

## Member Data Documentation

## ◆ m_activationState1

int Bullet::btCollisionObjectFloatData::m_activationState1

Definition at line 698 of file bullet.h.

## ◆ m_anisotropicFriction

btVector3FloatData Bullet::btCollisionObjectFloatData::m_anisotropicFriction

Definition at line 683 of file bullet.h.

## ◆ m_broadphaseHandle

void* Bullet::btCollisionObjectFloatData::m_broadphaseHandle

Definition at line 675 of file bullet.h.

## ◆ m_ccdMotionThreshold

float Bullet::btCollisionObjectFloatData::m_ccdMotionThreshold

Definition at line 693 of file bullet.h.

## ◆ m_ccdSweptSphereRadius

float Bullet::btCollisionObjectFloatData::m_ccdSweptSphereRadius

Definition at line 692 of file bullet.h.

## ◆ m_checkCollideWith

int Bullet::btCollisionObjectFloatData::m_checkCollideWith

Definition at line 700 of file bullet.h.

## ◆ m_collisionFilterGroup

int Bullet::btCollisionObjectFloatData::m_collisionFilterGroup

Definition at line 701 of file bullet.h.

## ◆ m_collisionFilterMask

int Bullet::btCollisionObjectFloatData::m_collisionFilterMask

Definition at line 702 of file bullet.h.

## ◆ m_collisionFlags

int Bullet::btCollisionObjectFloatData::m_collisionFlags

Definition at line 695 of file bullet.h.

## ◆ m_collisionShape

void* Bullet::btCollisionObjectFloatData::m_collisionShape

Definition at line 676 of file bullet.h.

## ◆ m_companionId

int Bullet::btCollisionObjectFloatData::m_companionId

Definition at line 697 of file bullet.h.

## ◆ m_contactDamping

float Bullet::btCollisionObjectFloatData::m_contactDamping

Definition at line 688 of file bullet.h.

## ◆ m_contactProcessingThreshold

float Bullet::btCollisionObjectFloatData::m_contactProcessingThreshold

Definition at line 684 of file bullet.h.

## ◆ m_contactStiffness

float Bullet::btCollisionObjectFloatData::m_contactStiffness

Definition at line 689 of file bullet.h.

## ◆ m_deactivationTime

float Bullet::btCollisionObjectFloatData::m_deactivationTime

Definition at line 685 of file bullet.h.

## ◆ m_friction

float Bullet::btCollisionObjectFloatData::m_friction

Definition at line 686 of file bullet.h.

## ◆ m_hasAnisotropicFriction

int Bullet::btCollisionObjectFloatData::m_hasAnisotropicFriction

Definition at line 694 of file bullet.h.

## ◆ m_hitFraction

float Bullet::btCollisionObjectFloatData::m_hitFraction

Definition at line 691 of file bullet.h.

## ◆ m_internalType

int Bullet::btCollisionObjectFloatData::m_internalType

Definition at line 699 of file bullet.h.

## ◆ m_interpolationAngularVelocity

btVector3FloatData Bullet::btCollisionObjectFloatData::m_interpolationAngularVelocity

Definition at line 682 of file bullet.h.

## ◆ m_interpolationLinearVelocity

btVector3FloatData Bullet::btCollisionObjectFloatData::m_interpolationLinearVelocity

Definition at line 681 of file bullet.h.

## ◆ m_interpolationWorldTransform

btTransformFloatData Bullet::btCollisionObjectFloatData::m_interpolationWorldTransform

Definition at line 680 of file bullet.h.

## ◆ m_islandTag1

int Bullet::btCollisionObjectFloatData::m_islandTag1

Definition at line 696 of file bullet.h.

## ◆ m_name

char* Bullet::btCollisionObjectFloatData::m_name

Definition at line 678 of file bullet.h.

## ◆ m_restitution

float Bullet::btCollisionObjectFloatData::m_restitution

Definition at line 690 of file bullet.h.

## ◆ m_rollingFriction

float Bullet::btCollisionObjectFloatData::m_rollingFriction

Definition at line 687 of file bullet.h.

## ◆ m_rootCollisionShape

btCollisionShapeData* Bullet::btCollisionObjectFloatData::m_rootCollisionShape

Definition at line 677 of file bullet.h.

## ◆ m_uniqueId

int Bullet::btCollisionObjectFloatData::m_uniqueId

Definition at line 703 of file bullet.h.

## ◆ m_worldTransform

btTransformFloatData Bullet::btCollisionObjectFloatData::m_worldTransform

Definition at line 679 of file bullet.h.

The documentation for this class was generated from the following file:

- bullet.h